Skip to main content
GET
Query Vault+ media

Authorizations

Authorization
string
header
required

Link access token for one Sandbox, Test, or Live authorization.

x-linked-account-id
string
header
required

Selects one of the authorization's linked accounts via the x-linked-account-id header.

Headers

x-linked-account-id
string
required

The linked account to use for this request.

Minimum string length: 1
Example:

"conn_123"

Query Parameters

status
enum<string>
Available options:
edge_only,
pending,
storing,
stored,
removed
type
enum<string>
Available options:
image,
video,
audio
contentType
string
durationMin
number | null
durationMax
number | null
createdAtFrom
string
createdAtTo
string
cachedAtFrom
string
cachedAtTo
string
limit
integer
Required range: 1 <= x <= 100
cursor
string
sort
enum<string>
Available options:
createdAt_desc,
createdAt_asc,
cachedAt_desc,
cachedAt_asc,
duration_desc,
duration_asc

Response

Saved media

items
object[]
required
nextCursor
string